MeiroDocs

Customer Attributes

Required feature: **customers/detail**

Section: Group Customer Attributes. Base URL: https://instance_name.meiro.io/api/.

Customer Attributes [/customers/{customer_entity_id}/attributes{?order_by,order_dir,show_hidden,attribute_values_max_count,load_full_structure}]

List All Customer Attributes [GET]

Required feature: customers/detail

  • Parameters

    • show_hidden (integer, optional) - Result will include hidden attributes if set to 1
    • attribute_values_max_count (integer, optional) - Maximum count of the attribute values
    • load_full_structure (number, optional) - Full data structure return flag
  • Request (application/json)

    • Headers

      X-Access-Token: 1234567890abcdef

  • Response 200 (application/json)

{
    "customer_attributes": [
        {
            "customer_entity_id": 200,
            "attribute_id": 300,
            "value": "value example"
        }
    ],
    "customer_events_count": 500,
    "customer_identifiers_count": 5,
    "selection_settings": {
        "show_hidden": false,
        "attribute_values_max_count": 10
    }
}

Customer Attribute Values [/customers/{customer_entity_id}/attributes/{attribute_id}{?limit,offset}]

  • Parameters
    • limit (number, optional) - Limit of the number of records returned
    • offset (number, optional) - Offset for the number of records returned

Retrieve a Customer Attribute Values [GET]

Required feature: customers/detail

  • Request (application/json)

    • Headers

      X-Access-Token: 1234567890abcdef

  • Response 200 (application/json)

{
    "customer_attribute_values": ["value1", "value2"],
    "selection_settings": {
        "limit": 20,
        "offset": null
    }
}

Customers Per Attribute Count [/customers_per_attribute_counts]

Get Number of Customers Per Attribute [GET]

Required feature (one of):

  • data/dashboard

  • segments/create

  • foreign_segments/view

  • foreign_segments/edit

  • data/insights

  • access to any segment

  • Request (application/json)

    • Headers

      X-Access-Token: 1234567890abcdef

  • Response 200 (application/json)

{
    "customers_per_attribute_counts": [
        {
            "attribute_id": "1",
            "count": 200
        }
    ]
}

On this page